TechDraw TextFührer

From FreeCAD Documentation
Jump to navigation Jump to search
This page is a translated version of the page TechDraw TextLeader and the translation is 100% complete.
Other languages:
Deutsch • ‎English • ‎français • ‎italiano
Arrow-left.svg TechDraw Tree Page Sync.png Neuzeichnen Vorherige:
Nächste: Schraffur Arrow-right.svg

Techdraw-textleader.svg TechDraw TextFührer

Menüeintrag
TechDraw → TextLeader
Arbeitsbereich
TechDraw
Standardtastenkürzel
None
In der Version eingeführt
0.19
Siehe auch
TechDraw Vorlagen, Entwurf SVG, TechDraw FührungsLinie, TechDraw FormatierteTextAnmerkung


Wichtiger Hinweis: Der TechDraw TextFührer Befehl wurde veraltet und ist obsolete in version 0.19 zugunsten von TechDraw Führungslinie und TechDraw FormatierterTextBlock


Beschreibung

Das TextFührer Werkzeug fügt einen FormatiertenzeichenText Anmerkungsblock und eine Führungslinie in eine Ansicht ein.

TechDraw TextLeader sample.png

Textführer hinzugefügt zu View001


Anwendung

  1. Drücke die Techdraw-textleader.svg TextFührer Taste
  2. Ein Aufgabendialogfeld wird geöffnet. Das Dialogfeld ermöglicht das Zeichnen der Führungslinie, die Zuweisung von Endsymbolen an die Linie und den Aufruf eines FormatiertenText Editors zur Erstellung des Anmerkungstextes.


Eigenschaften

  • DataX,Y: Der Punkt, an dem die Führungslinie mit der Ansicht verbunden ist.
  • DataFührungseltern: Die Ansicht, der der Leiter zugeordnet ist.
  • DataStart Symbol: Das Linienendensymbol (Pfeilspitze) am Ende der Ansicht.
  • DataEnden Symbol: Das Linienendensymbol am Ende des Anmerkungsblocks.
  • DataSkalierbar: Führer skaliert mit Führer Eltern.
  • DataFührer Text: Inhalt des Anmerkungsblocks.
  • DataTextposition: Textposition relativ zum Anmerkungsende der Führungslinie.
  • ViewLinienstil: 0 - Keine Linie, 1 - Feste Linie, ...
  • ViewLinienbreite: Stärke der Führungslinie.

Hinweise

  • Diese Funktion war introduced in version 0.19 und ebenso veraltet auch bekannt als obsolete in version 0.19
  • Du kannst den Textblock durch Klicken und Ziehen verschieben.
  • Du kannst deinen TextFührer bearbeiten, indem du ihn in der Baumansicht doppelklickst. Doppelklicken im Grafikbereich wird noch nicht unterstützt.
  • Die Führungslinie kann durch drücken von Punkte bearbeiten im Bearbeitungsmodus bearbeitet werden. Um die Bearbeitung der Punkte zu beenden: Drücke ESC oder drücke die rechte Maustaste (RMT).

Skripten

Siehe auch: TechDraw API und FreeCAD Grundlagen Skripten.

Das TextFührer Werkzeug kann mit Makros und aus der Python Konsole mit den folgenden Funktionen verwendet werden:

myPage = FreeCAD.ActiveDocument().Page
myBase = FreeCAD.ActiveDocument().View
leaderObj = FreeCAD.ActiveDocument.addObject('TechDraw::DrawTextLeader','DrawTextLeader')
FreeCAD.activeDocument().myPage.addView(leaderObj)
FreeCAD.activeDocument().leaderObj.LeaderParent = myBase
#first waypoint is always (0,0,0)  
#rest of waypoints are positions relative to (0,0,0)
leaderObj.Waypoints = [p0,p1,p2]
leaderObj.AttachPoint = FreeCAD.Vector(5,5,0)
leaderObj.LeaderText = myPlainOrHtmlText


Arrow-left.svg TechDraw Tree Page Sync.png Neuzeichnen Vorherige:
Nächste: Schraffur Arrow-right.svg